Subject: [GROW] Separating the BMP Initiation and Peer Up namespaces

From: John Scudder <[email-masked]>
Date: Fri, 14 Dec 2018 23:41:39 +0000

Hi All,

As I mentioned in the other thread, I think it was a mistake for Peer Up and Initiation to share a namespace in RFC 7854. The fact that it's difficult to get the text right in draft-ietf-grow-bmp-local-rib demonstrates this.

My suggestion is that we separate the namespaces. I've written and submitted a short draft to do it, draft-scudder-grow-bmp-peer-up-00.txt [1]. It seemed the most expedient way to describe the suggested approach. If the WG likes the idea, we can adopt it, or if the WG wants to fix it a different way, let's discuss.

An alternate solution would be to embrace the Information TLV as a namespace that's shared between multiple messages (the implication in draft-ietf-grow-bmp-local-rib that the Information TLV could be included in Peer Down suggests that's what the authors imagine would happen). I don't prefer this because it requires enumeration of exceptions ("foo Information type only applies when carried in such-and-such BMP message type..."). Independent namespaces ends up being a little wordier but less error-prone, IMO.

Regards,

--John

[1] https://www.ietf.org/id/draft-scudder-grow-bmp-peer-up-00.txt